Re: Ignite recovery error (1093 Views)
Reply
Occasional Advisor
smanikrajan
Posts: 10
Registered: ‎07-12-2011
Message 1 of 4 (1,128 Views)
Accepted Solution

Ignite recovery error

We recently updated a server to HPUX 11.31 and this server has been added to as client to our ignite server which is running 11.11.

Now the problem is we are unable to run make_net_recovery image from the client as it says the ignite version is higher than the one in the ignite server.Is the only solution is to downgrade the ignite version in the client?If so where could I download Ignite-UX  C.7.2.94.Please help

 

ERROR:   The version of the tools used for system recovery on "SERVERA" is newer than the version found on the server system "SERVERB".  You need to either
         update the version of Ignite-UX on the server or down-date the version on "SERVERA"
       * Creating NFS mount directories for configuration files.

=======  10/18/11 13:46:58 PDT  Started make_net_recovery. (Tue Oct 18 13:46:58 PDT 2011)
         @(#)Ignite-UX Revision C.7.11.439
         @(#)ignite/net_recovery (opt) Revision: /branches/IUX_RA1009/ignite/src@81482 Last Modified: 2010-06-10 11:10:03 -0600 (Thu, 10 Jun 2010)

       * Checking Versions of Recovery Tools

=======  10/18/11 13:46:59 PDT  make_net_recovery completed unsuccessfully

Honored Contributor
Stephan.
Posts: 512
Registered: ‎10-31-2002
Message 2 of 4 (1,123 Views)

Re: Ignite recovery error

Hi,

let's start with your 11.11 server.

 

Check that the required tools for 11.31 installed

# swlist | grep -i ignite

 This should show something like:

 

  IGNITE                                C.7.12.519     HP-UX Installation Utilities (Ignite-UX)
  Ignite-UX-11-11                       C.7.12.519     HP-UX Installation Utilities for Installing 11.11 Systems
  Ignite-UX-11-23                       C.7.12.519     HP-UX Installation Utilities for Installing 11.23 Systems
  Ignite-UX-11-31                       C.7.12.519     HP-UX Installation Utilities for Installing 11.31 Systems

 Now check if the default depot for recovery is available on the 11.11 server

# swlist -l depot | grep -i recover

 Default would be /var/opt/ignite/depots/recovery_cmds

 

If it does not exist run 

# /opt/ignite/lbin/pkg_rec_depot [-f]

to create it. 

 

Now to your 11.31 client - remove everything regarding ignite from it.

 

Install the recovery commands

# swinstall -s SERVERB:/var/opt/ignite/depots/recovery_cmds IUX-Recovery

 

Now it should work. You can run your make_net_recovery with the '-u' option to get the clients updated automatically to the current server version.

 

hth,

Stephan

 

Occasional Advisor
smanikrajan
Posts: 10
Registered: ‎07-12-2011
Message 3 of 4 (1,102 Views)

Re: Ignite recovery error

Thanks for the reply,Stephen

 

>>Now to your 11.31 client - remove everything regarding ignite from it.

 

By saying above,do you mean to remove the ignite version in the client

 

# swlist -l product|grep -i ignite
  Ignite-UX             C.7.11.439     HP-UX System Installation Services

Honored Contributor
Stephan.
Posts: 512
Registered: ‎10-31-2002
Message 4 of 4 (1,093 Views)

Re: Ignite recovery error

Yes, all you need for the recovery is the product IUX-Recovery which can be installed from the Ignite server as described above.

 

Best,

Stephan

The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation.